[xiph-commits] SF.net SVN: libspiff:[521] trunk

hartwork at users.sourceforge.net hartwork at users.sourceforge.net
Tue Feb 17 18:19:28 PST 2009


Revision: 521
          http://libspiff.svn.sourceforge.net/libspiff/?rev=521&view=rev
Author:   hartwork
Date:     2009-02-18 02:19:28 +0000 (Wed, 18 Feb 2009)

Log Message:
-----------
Script fixes, changelog order

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/scripts/edit_version.sh
    trunk/scripts/fix_svn_props.sh
    trunk/scripts/release.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2009-02-18 01:31:04 UTC (rev 520)
+++ trunk/ChangeLog	2009-02-18 02:19:28 UTC (rev 521)
@@ -1,25 +1,25 @@
 ???
 
   * Changed: Rename from libSpiff to libxspf
-  * Fixed: Compile errors with GCC 4.4
-      Thanks to Martin Michlmayr for the patch!
-  * Fixed: Compile errors with Sun Ceres C++ 5.10
-      Thanks to Tim Mooney for the patch!
-      Also, http://predef.sf.net/ was helpful again.
-  * Fixed: Test suite compile fix for GCC 4.3
-      Thanks to Alexis Ballier for the patch!
   * Changed: Build system changes:
       - configure option --enable-doc added
       - configure.in renamed to configure.ac
       - some Autotools files moved to build-aux directory
   * Added: Qt Assistant documentation output:
       - Qt Compressed Help (.qch) at
-          * doc/libspiff-doc-*.qch
-          * bindings/c/doc/spiff_c-doc-*.qch
+          * doc/libxspf-doc-*.qch
+          * bindings/c/doc/xspf_c-doc-*.qch
       - Qt Help Project (.qhp) at
           * doc/html/index.qhp
           * bindings/c/doc/html/index.qhp
       Generation requires Doxygen 1.5.7.1-20081103 or later.
+  * Fixed: Compile errors with GCC 4.4
+      Thanks to Martin Michlmayr for the patch!
+  * Fixed: Compile errors with Sun Ceres C++ 5.10
+      Thanks to Tim Mooney for the patch!
+      Also, http://predef.sf.net/ was helpful again.
+  * Fixed: Test suite compile fix for GCC 4.3
+      Thanks to Alexis Ballier for the patch!
   * Improved: Nested configure hacks resolved
   * Soname: 4:1:0
 
@@ -55,7 +55,7 @@
   * Changed: SpiffReaderCallback::notifyStop() replaced
       by SpiffReaderCallback::notifySuccess()
   * Fixed: spiff_c compile fix for GCC 4.3
-      Thanks to Ren\xE9 Rebe for the patch!
+      Thanks to Ren� Rebe for the patch!
   * Added: Warnings for keys ("rel" attribute of <meta> and
       <link> elements) that ..
       - are not absolute URIs
@@ -149,7 +149,7 @@
 2007-10-10 -- 0.8.2
 
   * Fixed: Whitespace test case file missing in release archives
-      Thanks to Adeodato Sim\xF3 for reporting this!
+      Thanks to Adeodato Sim� for reporting this!
   * Fixed: 'make distcheck' now used and working
   * Soname: 1:2:0
 
@@ -161,7 +161,7 @@
 2007-09-17 -- 0.8.0
 
   * Fixed: Bug in stealX() functions resulting in double frees
-      Thanks to Eren T\xFCrkay, Robert Buchholz, and Ed Schouten!
+      Thanks to Eren T�rkay, Robert Buchholz, and Ed Schouten!
   * Fixed: Win32 people now get the latest Expat and uriparser
       (Expat 2.0.1, uriparser 0.5.2)
   * Fixed: Proper soname updates from now on, starting at 1:0:0
@@ -180,7 +180,7 @@
 
   * Fixed: Bug in SpiffXmlFormatter::writeStart
   * Fixed: Visibility bug in SpiffChunkCallback
-      Thanks to Szabolcs Horv\xE1t for reporting these two bugs!
+      Thanks to Szabolcs Horv�t for reporting these two bugs!
 
 2007-06-04 -- 0.7.1
 

Modified: trunk/scripts/edit_version.sh
===================================================================
--- trunk/scripts/edit_version.sh	2009-02-18 01:31:04 UTC (rev 520)
+++ trunk/scripts/edit_version.sh	2009-02-18 02:19:28 UTC (rev 521)
@@ -1,8 +1,7 @@
 #! /usr/bin/env bash
-PWD_BACKUP=${PWD}
 SCRIPT_DIR=`dirname "${PWD}/$0"`
+(
 cd "${SCRIPT_DIR}/.." || exit 1
-function fail() { cd "${PWD_BACKUP}" ; exit 1; }
 ####################################################################
 
 kate \
@@ -15,5 +14,5 @@
 	&
 
 ####################################################################
-cd "${PWD_BACKUP}" || fail
+)
 exit 0

Modified: trunk/scripts/fix_svn_props.sh
===================================================================
--- trunk/scripts/fix_svn_props.sh	2009-02-18 01:31:04 UTC (rev 520)
+++ trunk/scripts/fix_svn_props.sh	2009-02-18 02:19:28 UTC (rev 521)
@@ -1,10 +1,9 @@
 #! /usr/bin/env bash
-PWD_BACKUP=${PWD}
 SCRIPT_DIR=`dirname "${PWD}/$0"`
+(
 cd "${SCRIPT_DIR}/.." || exit 1
-function fail() { cd "${PWD_BACKUP}" ; exit 1; }
-####################################################################
 
+
 ## Apply native EOL style
 find . -name '.svn' -prune -o \( \
         -name '*.cpp' \
@@ -46,8 +45,8 @@
 
 
 ## Make scripts executable
-find . -name '.svn' -prune -o \( -name '*.sh' \) -exec svn propset svn:executable '*' {} \;
+find . -name '.svn' -prune -o \( -name '*.sh' \) \
+	-exec svn propset svn:executable '*' {} \;
 
-####################################################################
-cd "${PWD_BACKUP}" || fail
-exit 0
+)
+exit $?

Modified: trunk/scripts/release.sh
===================================================================
--- trunk/scripts/release.sh	2009-02-18 01:31:04 UTC (rev 520)
+++ trunk/scripts/release.sh	2009-02-18 02:19:28 UTC (rev 521)
@@ -1,66 +1,44 @@
 #! /usr/bin/env bash
-PWD_BACKUP=${PWD}
-SCRIPT_DIR=`dirname "${PWD}/$0"`
-cd "${SCRIPT_DIR}/.." || exit 1
-function fail() { cd "${PWD_BACKUP}" ; exit 1; }
+(
+cd $(dirname $(which "$0"))/.. || exit 1
 ####################################################################
+package=libxspf
+####################################################################
 
-INSTALL_DIR="${HOME}/install"
-PREFIX="--prefix=${INSTALL_DIR}"
-MAKE_PARAMS=-j10
 
-
-
 echo ========== cleanup ==========
-rm libxspf-*.tar.* libxspf-*.zip &> /dev/null
-rm bindings/c/doc/*.zip &> /dev/null
-rm doc/*.zip &> /dev/null
-make clean &> /dev/null
-make distclean &> /dev/null
+rm -vf ${package}-*.{tar.*,zip} 2> /dev/null
+rm -vRf ${package}-* 2> /dev/null
 
 echo
 echo ========== bootstrap ==========
-./autogen.sh || fail
+./autogen.sh --download || exit 1
 
 echo
 echo ========== configure ==========
-./configure ${PREFIX} || fail
+./configure --enable-doc || exit 1
 
 echo
-echo ========== make uninstall ==========
-make uninstall || fail
+echo ========== make distcheck ==========
+make -j10 distcheck || exit 1
 
 echo
-echo ========== make ==========
-make ${MAKE_PARAMS} || fail
+echo ========== package docs ==========
+./doc/release.sh || exit 1
+./bindings/c/doc/release.sh || exit 1
 
+####################################################################
+)
+res=$?
+[ $res = 0 ] || exit $res
 
+cat <<'CHECKLIST'
 
-echo
-echo ========== make check ==========
-make check || fail
+Fine.
 
 
-
-echo
-echo ========== make install ==========
-make install || fail
-
-
-
-echo
-echo ========== make distcheck ==========
-make distcheck || fail
-
-
-
-echo
-echo Fine.
-
-echo
-cat <<'CHECKLIST'
 Have you
-* run ./edit_version.sh
+* run ./scripts/edit_version.sh
 * updated the soname
 * updated file lists
   - lazy header (Xspf.h)
@@ -70,8 +48,17 @@
 * searched for TODO inside code using
   grep -R 'TODO' include/* src/* test/*
 ?
-CHECKLIST
 
-####################################################################
-cd "${PWD_BACKUP}" || fail
-exit 0
+If so ..
+* upload release with ReleaseForge
+* announce through ..
+  - Blog
+  - Mailing lists
+  - Freshmeat
+  - SourceForge news
+* upload doc
+* update doc to website
+* tag svn trunk
+
+CHECKLIST
+exit $res


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the commits mailing list